Bug 1315237 - Remove reference info about --dcpath in virt-v2v manual page
Remove reference info about --dcpath in virt-v2v manual page
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.3
x86_64 Unspecified
low Severity low
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
V2V
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 05:23 EST by mxie@redhat.com
Modified: 2016-11-03 13:59 EDT (History)
6 users (show)

See Also:
Fixed In Version: libguestfs-1.32.5-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 13:59:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mxie@redhat.com 2016-03-07 05:23:05 EST
Description of problem:
Remove reference info about --dcpath in virt-v2v manual page

Version-Release number of selected component (if applicable):
libvirt-1.3.1-1.el7.x86_64
libguestfs-1.32.2-6.el7.x86_64
virt-v2v-1.32.2-6.el7.x86_64


How reproducible:
100%

Steps to Reproduce:
1.Check virt-v2v manual page:
--dcpath Folder/Datacenter
           NB: You don't need to use this parameter if you have
           libvirt ≥ 1.2.20.

           For VMware vCenter, override the "dcPath=..." parameter used to
           select the datacenter.  Virt-v2v can usually calculate this from
           the "vpx://" URI, but if it gets it wrong, then you can override it
           using this setting.  Go to your vCenter web folder interface, eg.
           "https://vcenter.example.com/folder" (without a trailing slash),
           and examine the "dcPath=" parameter in the URLs that appear on this
           page.

2.There is dcpath info in virt-v2v manual page, but--dcpath is not needed for RHEL 7.3 users


Actual results:
As above description

Expected results:
Remove --dcpath info in virt-v2v manaul page

Addtional info:
Comment 3 zhoujunqin 2016-06-29 04:34:46 EDT
I can reproduce this issue with build:
libguestfs-1.32.5-5.el7.x86_64
virt-v2v-1.32.5-5.el7.x86_64

Then try to verify this bug with new build:
virt-v2v-1.32.5-9.el7.x86_64
libguestfs-1.32.5-9.el7.x86_64

Steps:
1.Check virt-v2v manual page:

Result: cannot find content about 'dcpath'.

2.Also check virt-v2v help information.
# virt-v2v --help 
....
  --dcpath path                               Override dcPath (for vCenter)
  --dcPath path                               -"-


So rjones, does this means option has been disabled in help, thanks?
Comment 4 zhoujunqin 2016-06-29 05:07:10 EDT
(In reply to zhoujunqin from comment #3)
> I can reproduce this issue with build:
> libguestfs-1.32.5-5.el7.x86_64
> virt-v2v-1.32.5-5.el7.x86_64
> 
> Then try to verify this bug with new build:
> virt-v2v-1.32.5-9.el7.x86_64
> libguestfs-1.32.5-9.el7.x86_64
> 
> Steps:
> 1.Check virt-v2v manual page:
> 
> Result: cannot find content about 'dcpath'.
> 
> 2.Also check virt-v2v help information.
> # virt-v2v --help 
> ....
>   --dcpath path                               Override dcPath (for vCenter)
>   --dcPath path                               -"-
> 
> 
> So rjones, does this means option has been disabled in help, thanks?

1.
Have confirmed with you via irc, so remove 'needinfo' flag, thanks.

 -"- is ditto mark.
2.

Since '--dcpath' has remove from manual page, and cannot remove from help output now, move this bug from ON_QA to VERIFIED
Comment 6 errata-xmlrpc 2016-11-03 13:59:32 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2576.html

Note You need to log in before you can comment on or make changes to this bug.